@import url('https://fonts.googleapis.com/css2?family=Jost:wght@300;400&family=PT+Sans+Caption&display=swap');

:root {
    --bg: linear-gradient(#000,#ddd);
    --text: #000;
    --rect: #0000 solid 2px;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Jost', sans-serif;
    color: var(--text);
    background-image: radial-gradient(circle at 100% 0%, #fff, #bbb);
    background-position: top;
    background-attachment: fixed;
    scroll-behavior: smooth;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

a {
    text-decoration: none;
    color: var(--text);
}

a:hover {
    text-decoration: none;
    /* color: var(--text); */
    color: #008fb3;
    /* font-style: italic; */
}

ul {
    list-style: none;
}

img {
    max-width: 100%;
}


/* navbar */
#nav{
    border: var(--rect);
    margin: auto;
    padding: 10px;
    width: 90vw;
    height: 10vh;
    display: flex;
    justify-content:space-between;
    align-items: center;
}
#nav #links {
    border: var(--rect);
    margin: 0;
    width: 60%;
    display: flex;
    justify-content: space-between;
    li {
        font-size: 1.3rem;
    }
}

#logo {
    border: var(--rect);
}

#burger {
    display: none;
}


/* main */
#main {
    display: flex;
    justify-content: center;
    flex: content;
}

#container{
    border: var(--rect);
    padding: 20px;
    max-width: 90vw;
}

#hero {
    margin-top: 40px;
    max-height: 70vh;
    box-shadow: #0002 -5px 5px 10px;
}

h2 {
    font-size: 1.5rem;
}

/* paintings */
#gallery {
    column-count: 3;
    column-gap: 20px;
}

.gallery-item {
    /* margin-bottom: 30px; */
    padding: 60px;
    display: flex;
    flex-direction: column;
    gap: 50px;
    border: var(--rect);
    max-height: min-content;
    break-inside: avoid;
}

.gallery-image {
    max-height: min-content;
    box-shadow: #0002 -5px 5px 10px;
}

.p-desc {
    margin: 0;
    text-align: center;
}

.hero-desc {
    margin-top: 30px;
}

.mt {
    margin-top: 100px;
}

#contact, #bio {
    margin-top: 25px;
}

/* MEDIA QUERIES 📱 */

@media (max-width: 760px) {
h1 {
    margin: 0;
    padding: 20px;
    font-size: 1.5rem;
}

a {
    font-size: 1rem;
}

#nav {
    margin-top: 20px;
    width: 80vw;
    height: auto;
    flex-wrap: wrap;
    justify-content: space-around;
    padding: 0;
}

#nav #links {
    width: 100%;
    flex-direction: column;
    gap: 10px;
    display: none;
    padding: 15px 0;
}

#nav #links.active {
    display: flex;
}

#burger {
    display: flex;
    flex-direction: column;
    cursor: pointer;
    gap: 5px;
}

#burger span {
    width: 25px;
    height: 3px;
    background-color: var(--text);
    transition: 0.3s;
}

#gallery {
    column-count: 1;
    .gallery-item {
        padding: 10px auto;
        gap: 20px;
    }
}

#container{
    border: var(--rect);
    padding: 5px;
    max-width: 100vw;
}

.mt {
    margin-top: 50px;
}
}